using MessagePack;
using System.Text.Json.Serialization;

namespace SVSim.EmulatedEntrypoint.Models.Dtos;

[MessagePackObject]
public class LoginBonusCampaign
{
    [JsonPropertyName("name")]
    [Key("name")]
    public string Name { get; set; } = string.Empty;
    [JsonPropertyName("campaign_id")]
    [Key("campaign_id")]
    public int CampaignId { get; set; }
    [JsonPropertyName("img")]
    [Key("img")]
    public int Image { get; set; }
    [JsonPropertyName("now_count")]
    [Key("now_count")]
    public int NowCount { get; set; }
    [JsonPropertyName("is_next_reward")]
    [Key("is_next_reward")]
    public bool IsNextReward { get; set; }
    [JsonPropertyName("reward")]
    [Key("reward")]
    public List<LoginBonusReward> Rewards { get; set; } = new List<LoginBonusReward>();
}